package es.prodevelop.android.spatialindex.quadtree.provide;

import java.util.Collection;

import es.prodevelop.android.spatialindex.poi.OsmPOI;
import es.prodevelop.android.spatialindex.poi.OsmPOIStreet;
import es.prodevelop.gvsig.mini.utiles.Cancellable;

public interface BookmarkProviderListener extends QuadtreeProviderListener {

	public void onStreetsRetrieved(Collection pois, boolean clearPrevious,
			Cancellable cancellable);

	public void onPOIAdded(OsmPOI poi);

	public void onStreetAdded(OsmPOIStreet street);

	public void onPOIRemoved(OsmPOI poi);

	public void onStreetRemoved(OsmPOIStreet street);
}
